## ide-fixit ide-fixit |

## Functions

IdeFixit * | ide_fixit_ref ()
void | ide_fixit_unref ()
void | ide_fixit_apply ()
const gchar * | ide_fixit_get_text ()
IdeSourceRange * | ide_fixit_get_range ()

## Description

## Functions

### ide_fixit_ref ()

    IdeFixit *
    ide_fixit_ref (IdeFixit *self);

### ide_fixit_unref ()

    void
    ide_fixit_unref (IdeFixit *self);

### ide_fixit_apply ()

    void
    ide_fixit_apply (IdeFixit *self);

### ide_fixit_get_text ()

    const gchar *
    ide_fixit_get_text (IdeFixit *self);

Gets the text to replace the source range with.

#### Parameters

self | A IdeFixit. |

#### Returns

A string with the replacement text.

### ide_fixit_get_range ()

    IdeSourceRange *
    ide_fixit_get_range (IdeFixit *self);

Gets the range for the replacement text. The range is non inclusive of the end location. [a,b)

#### Parameters

self | A IdeFixit. |

#### Returns

An IdeSourceRange.

[transfer none]

## Types and Values